/*
 * CDLCompiler.java
 *
 * Created on 1. brezen 2001, 9:53
 */

package cz.cuni.dsrg.sofa.netbeans.cdl;

import org.openide.filesystems.FileObject;

/** CDLCompiler
 *
 * @author  hnetynka
 * @version 
 */
public class CDLCompiler extends org.openide.compiler.Compiler 
 {
    private FileObject primFile;
    
    /** Creates new CDLCompiler */
    public CDLCompiler(FileObject primFile) 
    {
        this.primFile = primFile;
    }

    public int hashCode() 
    {
        return 9876 ^ getFileObject ().getPackageNameExt ('/', '.').hashCode ();
    }
    
    public boolean equals(java.lang.Object obj) 
    {
        if (! super.equals (obj)) return false;
        if (! (obj instanceof CDLCompiler)) return false;
        return true;
    }
    
    /** Always compile */
    protected boolean isUpToDate() 
    {
        return false;
    }
    
    public Class compilerGroupClass () 
    {
        return CDLCompilerGroup.class;
    }
    
    public FileObject getFileObject() 
    {
        return primFile;
    }
    
    public Object compilerGroupKey () 
    {
        java.util.List l = new java.util.ArrayList (1);
        l.add (super.compilerGroupKey ());
        return l;
    }
}