package cz.cuni.dsrg.sofa.netbeans.visualdesigner.objects;

/**
 * An interface to by impemented by elements that wish to provide
 * the set of properties and the set of property values to be edited.
 *
 * @author Michael Cifka
 */
public interface PropertiesProvider
{
    public String[] getProperties();

    public void addProperty(String name, String type);

    public void removeProperty(String name);

    public String getPropertyType(String name);

    public void setPropertyType(String name, String type);

    public Object getPropertyValue(String name);

    public void setPropertyValue(String name, Object value);
}