package cz.cuni.dsrg.sofa.netbeans.cdl;

import java.awt.*;
import java.beans.BeanInfo;
import java.beans.IntrospectionException;
import java.beans.Introspector;
import java.beans.SimpleBeanInfo;

/** Description of {@link CDLDataLoader}.
 *
 * @author hnetynka
 */
public class CDLDataLoaderBeanInfo extends SimpleBeanInfo 
 {


  // If you have additional properties:
  /*
  public PropertyDescriptor[] getPropertyDescriptors () 
  {
   try 
   {
    PropertyDescriptor myProp = new PropertyDescriptor ("myProp", CDLDataLoader.class);
    myProp.setDisplayName (NbBundle.getMessage (CDLDataLoaderBeanInfo.class, "PROP_myProp"));
    myProp.setShortDescription (NbBundle.getMessage (CDLDataLoaderBeanInfo.class, "HINT_myProp"));
    return new PropertyDescriptor[] { myProp };
   } 
   catch (IntrospectionException ie) 
   {
     if (Boolean.getBoolean ("netbeans.debug.exceptions"))
      ie.printStackTrace ();
     return null;
   }
  }
 */


  public BeanInfo[] getAdditionalBeanInfo () 
  {
    try 
    {  // I.e. MultiFileLoader.class or UniFileLoader.class.
       return new BeanInfo[]
        {
            Introspector.getBeanInfo (CDLDataLoader.class.getSuperclass ())
        };
    }
    catch (IntrospectionException ie)
    {
     if (Boolean.getBoolean ("netbeans.debug.exceptions"))
         ie.printStackTrace ();
         return null;
    }
 }

   private static Image icon, icon32;

    public Image getIcon (int type) 
   {
     if (type == BeanInfo.ICON_COLOR_16x16 || type == BeanInfo.ICON_MONO_16x16) 
     {
      if (icon == null)
      icon = loadImage ("cz/cuni/dsrg/sofa/netbeans/resources/cdl/CDLDataIcon.gif");
      return icon;
     } 
     else 
     {
      if (icon32 == null)
       icon32 = loadImage ("cz/cuni/dsrg/sofa/netbeans/resources/cdl/CDLDataIcon32.gif");
       return icon32;
     }
    }

}
