package cz.cuni.dsrg.sofa.netbeans.visualdesigner.loaders;

import cz.cuni.dsrg.sofa.netbeans.visualdesigner.text.TXTDataObject;
import org.openide.filesystems.FileObject;
import org.openide.loaders.DataObjectExistsException;
import org.openide.loaders.MultiFileLoader;

/**
 * The data objcet for the Component Description Language (.cdl) file.
 * It allows the file to be opened it the editor.
 *
 * @author Michael Cifka
 */
public final class CDLDataObject extends TXTDataObject
{

    public CDLDataObject(final FileObject obj, final MultiFileLoader loader)
            throws DataObjectExistsException
    {
             super(obj, loader);
    }

    protected String iconBase()
    {
        return "/cz/cuni/dsrg/sofa/netbeans/resources/visualdesigner/icons";
    }

}
